# README

You need nodeJS v16 or greater installed.

To get it set up locally (for development):

`npm install`

`npm run dev` 

To create a released/standalone version:

`npm run build`

Then you can find it in `dist/` (simply copy the folder's contents where you want).

## Overview / ideas

- Explorer finds a lost temple in the jungle
- Starts exploring
- Gets gems as she explores
- Sometimes finds special items (one-time use)
- Sometimes finds perks (applies until the end of the run)
- When exploring too far, stumbles upon enemies or falls in traps, ends up tied up
- Struggles out
  - A timer starts running out, has to escape before the end of the timer or game over
  - Can just spam "struggle" on the binds to hope to escape
  - Can use the special items to help escape

## License

Software is provided under the MIT license - see [the LICENSE file](./LICENSE) for details.

Assets are provided under the CC-BY 4.0 attribution license - see [the assets-src/LICENSE file](./assets-src/LICENSE) (human-readable version [here](https://creativecommons.org/licenses/by/4.0/)). The associated copyright attribution can be found in [the assets-src/COPYRIGHT file](./assets-src/COPYRIGHT). Reference pictures found in the editable image project files (.kra files) belong to their respective owners.
