import { getRandomArrayItem } from "./utils";

const struggleMessages = {
  gagged: ["Ngff!", "Mmrgh!", "Mmpf!", "Mmmh!", "Mogph!", "Nghpf!"],
  default: ["Ngh!", "Huff", "Hah", "Mmhah", "Nnah"],
};

export function generateStruggleMessage(options: {
  isGagged: boolean;
}): string {
  if (options.isGagged) return getRandomArrayItem(struggleMessages.gagged);
  return getRandomArrayItem(struggleMessages.default);
}
